classification
Title: Exception exceptions.AttributeError '_shutdown' in
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.5
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: Mr Shore, brandon-rhodes, christian.heimes, facundobatista, nadiasvertex
Priority: low Keywords:

Created on 2008-01-27 17:37 by Mr Shore, last changed 2011-09-14 02:23 by brandon-rhodes. This issue is now closed.

Files
File name Uploaded Description Edit
thread1.py Mr Shore, 2008-01-27 17:37
unnamed Mr Shore, 2008-01-27 19:37
unnamed Mr Shore, 2008-02-07 01:53
Messages (8)
msg61742 - (view) Author: shore.cloud (Mr Shore) Date: 2008-01-27 17:37
Exception exceptions.AttributeError: '_shutdown' in 
<module 'threading' from 'F:
\Python25\lib\threading.pyc'> ignored
msg61746 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-27 18:58
Next time please set type, component and version
msg61748 - (view) Author: shore.cloud (Mr Shore) Date: 2008-01-27 19:37
I will,sorry

2008/1/28, Christian Heimes <report@bugs.python.org>:
>
>
> Christian Heimes added the comment:
>
> Next time please set type, component and version
>
> ----------
> components: +Library (Lib)
> nosy: +tiran
> priority:  -> low
> type:  -> behavior
> versions: +Python 2.5
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue1947>
> __________________________________
>
msg62075 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-02-05 18:29
This is not a bug report.

I've run your code, didn't see any exception, and works as expected (in
linux and win2k).

Please, if still happens to you, provide what are you doing to reproduce
the issue, what do you expect to happen, and the system where you're
running this.

Thank you!
msg62131 - (view) Author: shore.cloud (Mr Shore) Date: 2008-02-07 01:53
hi Facundo Batista
thx very much for replying this thread
the affair with me is that all my thread related .py programme end with this
saying '*Exception exceptions.AttributeError '_shutdown' in <module
'threading'*  '

I'm running in winXP,version 2.5
and I've searched the interenet only to found one man once had the same
situation as me
whose reason is maybe version problem,say using modules of ver2.5 on ver2.3,and
the problem went away after updating the version.
but it's not the case with me
2008/2/6, Facundo Batista <report@bugs.python.org>:
>
>
> Facundo Batista added the comment:
>
> This is not a bug report.
>
> I've run your code, didn't see any exception, and works as expected (in
> linux and win2k).
>
> Please, if still happens to you, provide what are you doing to reproduce
> the issue, what do you expect to happen, and the system where you're
> running this.
>
> Thank you!
>
> ----------
> nosy: +facundobatista
> resolution:  -> invalid
> status: open -> closed
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue1947>
> __________________________________
>
msg62142 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-02-07 11:52
It seems that it's more a problem related to your environment. It could
be a problem in the installation, execution of the program, or even in
the XP itself.

In any case, you should ask for help in the python list, or in #python
at irc.freenode.org.
msg97787 - (view) Author: Christopher Nelson (nadiasvertex) Date: 2010-01-14 21:16
I also experience this problem.  However, I experience it with a version of Python 2.4 that has had http://bugs.python.org/file10154/nondaemon_thread_shutdown.diff applied.  

We have a custom 2.4 build that builds using MS VS 2K5.  We support an application on x86, x64, and ia64, which is why we custom compile.

I get this error everytime when running regretest.py in Lib/test.
msg144004 - (view) Author: Brandon Rhodes (brandon-rhodes) * Date: 2011-09-14 02:23
In case Google brings anyone else to this bug: this error typically indicates that a `threading.py` which is not actually the Standard Library's `threading` module has somehow wound up on an earlier path in `sys.path` and is therefore shadowing the Standard Library module. This upsets the Python exit logic, which tries to run `threading._shutdown()` if `threading` exists in `sys.modules`. I just helped someone on Stack Overflow with a situation like this, which in that case resulted from an error in how `pylint` works.
History
Date User Action Args
2016-04-05 15:01:28zach.wareunlinkissue26693 superseder
2016-04-05 03:32:44zach.warelinkissue26693 superseder
2011-09-14 02:23:11brandon-rhodessetnosy: + brandon-rhodes
messages: + msg144004
2010-01-14 21:16:06nadiasvertexsetnosy: + nadiasvertex
messages: + msg97787
2008-02-07 11:52:48facundobatistasetmessages: + msg62142
2008-02-07 01:53:35Mr Shoresetfiles: + unnamed
messages: + msg62131
2008-02-05 18:29:35facundobatistasetstatus: open -> closed
resolution: not a bug
messages: + msg62075
nosy: + facundobatista
2008-01-27 19:37:05Mr Shoresetfiles: + unnamed
messages: + msg61748
2008-01-27 18:58:41christian.heimessetversions: + Python 2.5
nosy: + christian.heimes
messages: + msg61746
priority: low
components: + Library (Lib)
type: behavior
2008-01-27 17:37:13Mr Shorecreate